Open CASCADE Technology: Voxel_Reader Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
Voxel_Reader Class Reference

Reads a cube of voxels from disk. Beware, a caller of the reader is responsible for deletion of the read voxels. More...

`#include <Voxel_Reader.hxx>`

## Public Member Functions
| Voxel_Reader ()
| An empty constructor. More...
Standard_Boolean | Read (const TCollection_ExtendedString &file)
| Reads the voxels from disk. More...
Standard_Boolean | IsBoolVoxels () const
| Informs the user about the type of voxels he has read. More...
Standard_Boolean | IsColorVoxels () const
| Informs the user about the type of voxels he has read. More...
Standard_Boolean | IsFloatVoxels () const
| Informs the user about the type of voxels he has read. More...
Standard_Address | GetBoolVoxels () const
| Returns a pointer to the read 1bit voxels. More...
Standard_Address | GetColorVoxels () const
| Returns a pointer to the read 4bit voxels. More...
Standard_Address | GetFloatVoxels () const
| Returns a pointer to the read 4bytes voxels. More...

## Detailed Description

Reads a cube of voxels from disk. Beware, a caller of the reader is responsible for deletion of the read voxels.

## Constructor & Destructor Documentation

Voxel_Reader::Voxel_Reader | ( |  | ) |

An empty constructor.

## Member Function Documentation

Standard_Address Voxel_Reader::GetBoolVoxels | ( |  | ) | const

Returns a pointer to the read 1bit voxels.

Standard_Address Voxel_Reader::GetColorVoxels | ( |  | ) | const

Returns a pointer to the read 4bit voxels.

Standard_Address Voxel_Reader::GetFloatVoxels | ( |  | ) | const

Returns a pointer to the read 4bytes voxels.

Standard_Boolean Voxel_Reader::IsBoolVoxels | ( |  | ) | const

Informs the user about the type of voxels he has read.

Standard_Boolean Voxel_Reader::IsColorVoxels | ( |  | ) | const

Informs the user about the type of voxels he has read.

Standard_Boolean Voxel_Reader::IsFloatVoxels | ( |  | ) | const

Informs the user about the type of voxels he has read.

Standard_Boolean Voxel_Reader::Read | ( | const TCollection_ExtendedString & | file | ) |

Reads the voxels from disk.

The documentation for this class was generated from the following file:

- Voxel_Reader.hxx